ReferenceAPI
Components
Components and groups, in the order the page shows them.
curl -X GET "https://example.com/v1/components"{ "groups": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "position": 0 } ], "components": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "groupId": "eb54e96e-21b8-4f54-9cd4-80fccbd06f55", "name": "string", "description": "string", "position": 0, "status": "operational" } ]}POST
/v1/componentsRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/components" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "groupId": "eb54e96e-21b8-4f54-9cd4-80fccbd06f55", "name": "string", "description": "string", "position": 0, "status": "operational"}PATCH
/v1/components/{id}Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/v1/components/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "groupId": "eb54e96e-21b8-4f54-9cd4-80fccbd06f55", "name": "string", "description": "string", "position": 0, "status": "operational"}curl -X DELETE "https://example.com/v1/components/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
PUT
/v1/components/orderRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PUT "https://example.com/v1/components/order" \ -H "Content-Type: application/json" \ -d '{ "ids": [ "6e0346a3-e54d-40e3-9779-4ba1e707e35b" ] }'Empty
POST
/v1/component-groupsRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/component-groups" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "position": 0}PATCH
/v1/component-groups/{id}Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/v1/component-groups/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "position": 0}curl -X DELETE "https://example.com/v1/component-groups/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
PUT
/v1/component-groups/orderRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PUT "https://example.com/v1/component-groups/order" \ -H "Content-Type: application/json" \ -d '{ "ids": [ "6e0346a3-e54d-40e3-9779-4ba1e707e35b" ] }'Empty